package audio;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;

@SuppressWarnings("unused")
public interface BASSenc_OPUS extends Library {

    BASSenc_OPUS Instance = Native.load("bassenc_opus", BASSenc_OPUS.class);
    int BASS_ENCODE_OPUS_RESET = 0x1000000;
    int BASS_ENCODE_OPUS_CTLONLY = 0x2000000;

    int BASS_Encode_OPUS_GetVersion();

    int BASS_Encode_OPUS_Start(int handle, String options, int flags, BassEnc.ENCODEPROC proc, Pointer user);
    int BASS_Encode_OPUS_StartFile(int handle, String options, int flags, String filename);
    boolean BASS_Encode_OPUS_NewStream(int handle, String options, int flags);
}
